[annum] Fix autogen.sh to ease having srcdir != builddir



commit ebcab711f77bd3ec5292455bc7889a0238b54fff
Author: Gustavo Noronha Silva <gustavo noronha collabora co uk>
Date:   Fri Jan 22 16:56:18 2010 -0200

    Fix autogen.sh to ease having srcdir != builddir

 autogen.sh |   27 ++++++++++++++++++++-------
 1 files changed, 20 insertions(+), 7 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 6c4be0d..14b2bb5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,11 +1,24 @@
 #!/bin/sh
-[ -e config.cache ] && rm -f config.cache
+# Run this to generate all the initial makefiles, etc.
 
-libtoolize --automake -c -f
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
 
-aclocal
-autoconf
-autoheader
-automake -acf
-./configure $@
+PKG_NAME="Annum"
+REQUIRED_AUTOCONF_VERSION=2.58
+REQUIRED_AUTOMAKE_VERSION=1.9
+REQUIRED_LIBTOOL_VERSION=2.2
+REQUIRED_INTLTOOL_VERSION=0.35.5
 
+(test -f $srcdir/configure.ac \
+  && test -d $srcdir/src) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common"
+    exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]